n_distinct {dplyr} | R Documentation

## Efficiently count the number of unique values in a set of vector

### Description

This is a faster and more concise equivalent of `length(unique(x))`

### Usage

    n_distinct(..., na.rm = FALSE)

### Arguments

`...` | vectors of values
`na.rm` | id `TRUE` missing values don't count

### Examples

    x <- sample(1:10, 1e5, rep = TRUE)
    length(unique(x))
    n_distinct(x)

[Package dplyr version 0.7.0 Index]